Subject: Re: bug#36017: 27.0.50; TLS 1.3 on macOS exhibits similar issue to #34341

From: Aaron Jensen <[email-masked]>
Date: Mon, 3 Jun 2019 02:53:06 -0700

On Mon, Jun 3, 2019 at 2:11 AM Robert Pluim <[email-masked]> wrote:
> I have the same versions of libgnutls and macOS, and I donʼt see
> this (but I donʼt use ghub). Can you try (from emacs -Q)
>
> M-x eww RET www.gmail.com
>
> That fails for me with e87e6a24c49542111e669b7d0f1a412024663f8e
> reverted, and works with the latest emacs master.

This works for me. I only get the error while creating a pull request,
so perhaps it is limited to POST requests?

Try this in emacs -Q:

(let (
      ;; (gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")
      (url-request-method "POST")
      (url-request-data "{}")
      (url-request-extra-headers '(("Authorization" . "token XXX")
                                   ("Content-Type" . "application/json"))))
  (switch-to-buffer
   (url-retrieve
    "https://api.github.com/repos/facebook/react/pulls"
    (lambda (status)
      (error "Staus: %S" status)))))

For me, I get a blank buffer and then a connection error.

If I uncomment the gnutls-algorithm-priority, it works as expected (it
should 401 because of the invalid token). Like the other bug, once the
connection is established once, setting gnutls-algorithm-priority or
not makes no difference.